PHP ��U
前一頁 |  | 下一頁

# DOMDocument->load()

(no version information, might be only in CVS)

DOMDocument->load() -- Load XML from a file

## Description

class DOMDocument {
mixed load ( string filename [, int options] )
}

Loads an XML document from a file.

This method may also be called statically to load and create a DOMDocument object. The static invocation may be used when no DOMDocument properties need to be set prior to loading.

## Parameters

filename

  The path to the XML document.

## Return Values

�\�^��`TRUE`�Ѧ^��`FALSE`�C If called statically, returns a DOMDocument.

## �d��

範例 1. Creating a Document

`<?php $doc = new DOMDocument(); $doc->load('book.xml'); echo $doc->saveXML(); ?>`

範例 2. Static invocation of load

`<?php $doc = DOMDocument::load('book.xml'); echo $doc->saveXML(); ?>`

## �Ѧ�

DOMDocument->loadXML()
DOMDocument->save()
DOMDocument->saveXML()

前一頁 | 內容 | 下一頁
DOMDocument->importNode() | 上一層 | DOMDocument->loadHTML()